OTBCLI_MEANSHIFTSMOOTHING(1)

NAME
otbcli_MeanShiftSmoothing - OTB MeanShiftSmoothing application

DESCRIPTION
This is the MeanShiftSmoothing application, version 5.2.0 Perform mean shift filtering

Complete documentation: http://www.orfeo-toolbox.org/Applications/MeanShiftSmoothing.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input Image (mandatory)
 -fout <string> [pixel] Filtered output [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-foutpos
    <string> [pixel] Spatial image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (optional, off by default)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-spatialr
    <int32> Spatial radius (optional, on by default, default value is 5)

-ranger
    <float> Range radius (optional, on by default, default value is 15)

-thres
    <float> Mode convergence threshold (optional, on by default, default value is 0.1)

-maxiter
    <int32> Maximum number of iterations (optional, on by default, default value is 100)

-rangeramp
    <float> Range radius coefficient (optional, on by default, default value is 0)

-modesearch <boolean>
    Mode search. (optional, on by default)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_MeanShiftSmoothing -in maur_rgb.png -fout MeanShift_FilterOutput.tif -foutpos MeanShift_SpatialOutput.tif -spatialr 16 -ranger 16 -thres 0.1 -maxiter 100

SEE ALSO
The full documentation for otbcli_MeanShiftSmoothing is maintained as a Texinfo manual. If the info and otbcli_MeanShiftSmoothing programs are properly installed at your site, the command

    info otbcli_MeanShiftSmoothing

should give you access to the complete manual.